<?php

//Clase: Orden de Servicio
class clase
{
	var $nom_tabla = 'dglineasp';
	var  $linea = '0';
	var  $des_linea = '0';
	var  $cta_con_costo = '0';
	var  $cta_con_inven = '0';
	var  $cta_con_vta = '0';
	var  $cta_dev_vta = '0';
	var  $cta_des_bon = '0';
	var  $ubicacion = '0';
//Funcion de Revision
	function revisar(){
		$sql = "SELECT * FROM $this->nom_tabla where des_linea like '$this->des_linea'";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
	   	@$num_salidas=mysqli_num_rows($result); 
		if($num_salidas>=1){
			return "ok";	
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Agregar
	function agregar(){
		$sql = "INSERT INTO $this->nom_tabla (des_linea, cta_con_costo, cta_con_inven, cta_con_vta, cta_dev_vta, cta_des_bon,ubicacion)values('$this->des_linea', '$this->cta_con_costo', '$this->cta_con_inven', '$this->cta_con_vta', '$this->cta_dev_vta', '$this->cta_des_bon','$this->ubicacion' )";
	   	@$result = mysqli_query($GLOBALS['con'] ,$sql);
		if ($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . " : " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista Completa
	function lista_completa(){
		$sql= "SELECT * FROM $this->nom_tabla";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";  
		}
	}
//Funcion de Lista con Busqueda
	function lista_busqueda($linea){
		$sql= "SELECT * FROM $this->nom_tabla WHERE linea = '$linea'";
		$lista = mysqli_query($GLOBALS['con'] ,$sql);
		if ($lista){
			return $lista;
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()";   
		}
	}
//Funcion de Modificar
	function modificar($linea){
		$sql = "UPDATE $this->nom_tabla SET des_linea = '$this->des_linea', cta_con_costo = '$this->cta_con_costo', cta_con_inven = '$this->cta_con_inven', cta_con_vta = '$this->cta_con_vta', cta_dev_vta = '$this->cta_dev_vta', cta_des_bon = '$this->cta_des_bon',ubicacion = '$this->ubicacion' where linea = '$linea'";
		$result= mysqli_query($GLOBALS['con'] ,$sql);
		if($result){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}
	}
//Funcion de eliminar
	function eliminar($linea){   
		$sql = "DELETE FROM $this->nom_tabla WHERE linea = '$linea'";
		$resultado = mysqli_query($GLOBALS['con'] ,$sql);
		if($resultado){
			return "ok";
		}else{
			$error = 'Error N:' . mysqli_errno($GLOBALS['con']) . ": " . mysqli_error($GLOBALS['con']);
			return "$error()"; 
		}           
	}   
}       
?>